Name:           python-ocrmypdf
Version:        16.10.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        OCRmyPDF adds an OCR text layer to scanned PDF files, allowing them to be searched

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MPL-2.0
URL:            https://github.com/ocrmypdf/OCRmyPDF
Source:         %{pypi_source ocrmypdf}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ocrmypdf' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ocrmypdf
Summary:        %{summary}

%description -n python3-ocrmypdf %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-ocrmypdf docs,extended-test,test,watcher,webservice


%prep
%autosetup -p1 -n ocrmypdf-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x docs,extended-test,test,watcher,webservice


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ocrmypdf -f %{pyproject_files}


%changelog
%autochangelog